Subject: Re: PCI DMA Problems With 82xx?

From: Scott Wood <[email-masked]>
Date: Tue, 17 Jun 2008 16:52:44 -0500

Rune Torgersen wrote:
> linuxppc-embedded-bounces+runet=[email-masked] wrote:
>> Mike Winter wrote:
>>> We are developing with an 8248-based platform, and we have a vendor
>>> telling us that the PCI hardware is unreliable on this CPU family, in
>>> particular the DMA functionality.  A quick search of this list
>>> doesn't turn up any horror stories, although the processor does have
>>> some PCI errata listed.  Does anybody have any practical experience
>>> using PCI on the 8248 or similar that they can share with me?  
>>> Thanks. 
> 
> We're using all four PCI DMA's on 8265 and 8280 CPU's.

Hmm, did he mean bus-mastering from PCI devices, or the DMA block which 
is documented as part of PCI on older chips, but really has nothing to 
do with it that I can figure out?

-Scott